<?php
session_start();
/* if($_SESSION['tipven']==""){
  $_SESSION['tipven'] = $_POST['tip_ven'];
  } */

$com = "A";
include("DMMYSQLG.php");
include("JQUERY.inc");
if (isset($_POST['bot2'])) {
    @$r1 = mysqli_query($con ,"select * from dgreqdev where fol_ven = '" . $_POST['bot'] . "'");
    @$r2 = mysqli_fetch_array($r1);
    $p1 = $r2['tip_ven'];
}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="es-es">

    <link rel="stylesheet" href="css/estilo1.css" type="text/css"/>
    <script type="text/javascript" language="JavaScript1.2" src="RSSCRIPT.js"></script>
    <script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
    <script language="javascript">
                $(document).ready(function(){
        function formatItem(row) {
        return " (<strong>" + row[1] + "</strong>)" + row[0];
        }
        var pagRes = 'AL10700_DS.php';
                var idObjDes = 'des_ope';
                var idObjCve = 'tip_ven';
    //ademas el autocomplete se va a ejecutar con la descripcion no con la clave

                $("#" + idObjDes).autocomplete({
        source:pagRes,
                minChars: 1, //Caracteres Minimos antes de autocompletar
                max:20, //maximo de resultados mostrados, se manda como limit en autosugestion
                //ancho del cuadro de despliegue
                delay: 200, //Resalta letras coincidentes
                autoFill: true, //autocompleta en texto la posible palabra
                scroll: true, //si cuadro tiene barra scroll
                scrollHeight: 100, //alto del cuadro para el scroll

                select: function(event, ui) {

                $("#" + idObjDes).val(ui.item.gdescrip);
                        $("#" + idObjCve).val(ui.item.id);
                }
        //Parametros Extra a Mandar en autosugestion
        });
                });
                $(document).ready(function(){
        function formatItem(row) {
        return " (<strong>" + row[1] + "</strong>)" + row[0];
        }
        var pagRes = 'AL10700_DS.php';
                var idObjDes = 'des_ope';
                var idObjCve = 'tip_ven';
                var nomObjRad = 'tip_bus_ope';
                $("#" + idObjCve).autocomplete({
        source:pagRes,
                minChars: 1, //Caracteres Minimos antes de autocompletar
                max:20, //maximo de resultados mostrados, se manda como limit en autosugestion
                minLength: 0, //ancho del cuadro de despliegue

                autoFocus: true,
                delay: 200, //Resalta letras coincidentes
                autoFill: true, //autocompleta en texto la posible palabra
                scroll: true, //si cuadro tiene barra scroll
                scrollHeight: 100, //alto del cuadro para el scroll

                select: function(event, ui) {

                $("#" + idObjDes).val(ui.item.gdescrip);
                        $("#" + idObjTotal).val(ui.item.id);
                }
       });
                });
    //$(document).ready(function(){
    //	function formatItem(row) {
    //		return " (<strong>" + row[1] + "</strong>)"+row[0];
    //	}
    //	$("#des_ope").autocomplete('AL10700_DS.php',{
    //		minChars: 1,                 //Caracteres Minimos antes de autocompletar
    //		//max:3                        //maximo de resultados mostrados, se manda como limit en autosugestion
    //		delay: 200,                  //Retardo de autocompletar 
    //		width: 500,                  //ancho del cuadro de despliegue
    //		highlight: false,            //Resalta letras coincidentes
    //		autoFill: false,             //autocompleta en texto la posible palabra
    //		scroll: true,				 //si cuadro tiene barra scroll
    //		scrollHeight: 300,           //alto del cuadro para el scroll
    //		formatItem:formatItem,	     //formato de presentacion de las posibles busquedas
    //		extraParams:{tipBus:'d'}     //Parametros Extra a Mandar en autosugestion
    //	});
    //	$("#tip_ven").autocomplete('AL10700_DS.php',{
    //		minChars: 1,                 //Caracteres Minimos antes de autocompletar
    //		//max:3                        //maximo de resultados mostrados, se manda como limit en autosugestion
    //		delay: 200,                  //Retardo de autocompletar 
    //		width: 500,                  //ancho del cuadro de despliegue
    //		highlight: false,            //Resalta letras coincidentes
    //		autoFill: false,             //autocompleta en texto la posible palabra
    //		scroll: true,				 //si cuadro tiene barra scroll
    //		scrollHeight: 300,           //alto del cuadro para el scroll
    //		formatItem:formatItem,       //formato de presentacion de las posibles busquedas
    //		formatResult:function(row){  //formato de seleccion de busqueda
    //			return row[1];
    //		},	                        
    //		extraParams:{tipBus:'c'}     //Parametros Extra a Mandar en autosugestion
    //	});
    //	$("#tip_ven").result(function(event, data, formatted){
    //		$('#des_ope').val(data[0]);
    //		$('#des_ope').focus();
    //		
    //		
    //	});	
    //	$("#des_ope").result(function(event, data, formatted){
    //		$('#tip_ven').val(data[1]);
    //		
    //		
    //	});	
    //	$("input[@name=tip_bus]").click(function(){
    //		$('#des_ope').setOptions({
    //			extraParams:{
    //				tipBus:getValRadChe('tip_bus')
    //			}
    //		});
    //	});
    //});

    </script>


    <script type='text/javascript'>
                function valida(){
                if (document.frm1.trefe.value.length == 0){  //valida campo factura
                alert("INGRESE EL NUMERO DE FACTURA")
                        document.frm1.trefe.focus()
                        return 0;
                } else if (document.frm1.tip_ven.value.length == 0){  //valida campo factura
                alert("SELECCIONE PROVEEDOR")
                        document.frm1.tip_ven.focus()
                        return 0;
                }
                else
                {
                $.ajax({
                url: "compruebainv.php?fec="+document.frm1.tfec.value,
                        type: 'GET',
                        success: function(data) {
                        if (data == 0){
                      if (confirm("esto INICIA un nuevo inventario y FINALIZA el anterior\n Desea Continuar?") == true){
                        $.ajax({
                        url: "resetinv.php",
                                type: 'GET',
                                success: function(data) {

                                }});
                                openpage('AL10700_AC.php', '_self');
                                console.log('entro');
                        }
                        }
                        else
                                openpage('AL10700_AC.php', '_self');
                        },
                                error: function() {
                                alert("Ha ocurrido un error");
                                }
                        });
                                }
                        return false;
                                }
    </script> 


    <script type="text/javascript">
                        var patron = new Array(2, 2, 4)
                                var patron2 = new Array(1, 3, 3, 3, 3)
                                function mascara(d, sep, pat, nums){
                                if (d.valant != d.value){
                                val = d.value
                                        largo = val.length
                                        val = val.split(sep)
                                        val2 = ''
                                        for (r = 0; r < val.length; r++){
                                val2 += val['r']
                                }
                                if (nums){
                                for (z = 0; z < val2.length; z++){
                                if (isNaN(val2.charAt(z))){
                                letra = new RegExp(val2.charAt(z), "g")
                                        val2 = val2.replace(letra, "")
                                }
                                }
                                }
                                val = ''
                                        val3 = new Array()
                                        for (s = 0; s < pat.length; s++){
                                val3['s'] = val2.substring(0, pat['s'])
                                        val2 = val2.substr(pat['s'])
                                }
                                for (q = 0; q < val3.length; q++){
                                if (q == 0){
                                val = val3['q']
                                }
                                else{
                                if (val3['q'] != ""){
                                val += sep + val3['q']
                                }
                                }
                                }
                                d.value = val
                                        d.valant = val
                                }
                                }
    </script>		
    <body onLoad = "self.focus (); document.frm1.orden.focus ()">

        <form name="frm1" id="frm1" method="post" action="">
            <div id="width_wrapper" align="center">
                <table border="0" align="center" bordercolor="#FFCC00" bordercolordark="#FFCC00">
                    <tr>
                        <td colspan="4" class="titulo">ENTRADA DE DATOS POR FACTURA </td>
                    </tr>
                    <tr>
                        <th width="99" nowrap style="#FFCC00">ORDEN DE COMPRA</th>
                        <td width="184" nowrap>
                            <input name="orden" type="text" id="orden" size="15" tabindex="1"
                            <?php
                            if (isset($_REQUEST['orden'])) {
                                echo 'value = "' . $_REQUEST['orden'] . '"';
                            }
                            ?> />

<!--      <input name="folio_control" type="hidden" id="folio_control" size="5" value="0"/>
          
          select name="folio_control" id="folio_control">
        <option value="0">--selecciona--</option>-->
                            <?php
//
//@$resul=mysqli_query($con ,"select nparte1 from frecomp where status=1 and total_rec!=0");
//while($regis=mysqli_fetch_array($resul)){		
//
//if($_POST['folio_control'] == $regis['nparte1']){
//			echo '<option value="' . $regis['nparte1'] . '" selected>' . $regis['nparte1'] . '</option>';
//		}else{
//			echo '<option value="' . $regis['nparte1'] . '">' . $regis['nparte1'] . '</option>';
//		}
//	}
                            ?>
                            </select--></td>
                        <th><div align="right">FECHA</div></th>
                        <td width="169" nowrap >

                            <input type="text" name="tfec" maxlength="10" class="emplea date" id="tfec" size="10" tabindex="2" onBlur="valFecha(this)" 
<?php
if (isset($_POST['tfec'])) {
    echo 'value="' . $_POST['tfec'] . '"';
} else {
    $ultima_sal = mysqli_fetch_array(mysqli_query($con ,"SELECT fec_ven FROM dgreqdev d ORDER BY d.fec_ven DESC LIMIT 1"));
	$date = new DateTime($ultima_sal['fec_ven']);
    echo 'value="' . $date->format('d/m/Y'). '"';
}
?>
                                   />



                        </td>
                    </tr>
                    <tr>
                        <th nowrap style="#FFCC00">PROVEEDOR</th>
                        <td colspan="3" nowrap><span class="inputcodigo">
                                <input name="des_ope" type="text" id="des_ope" size="50" value="<?php echo trim((isset($_REQUEST['des_ope'])) ? $_REQUEST['des_ope'] : "0"); ?>" tabindex="3" />
                                <input name="tip_ven" type="text" id="tip_ven" size="5" value="<?php echo trim((isset($_REQUEST['tip_ven'])) ? $_REQUEST['tip_ven'] : "0"); ?>" tabindex="4" />
                            </span>	  </td>
                    </tr>
                    <tr>
                        <th nowrap style="#FFCC00">FACTURA</th>
                        <td colspan="3" nowrap><label><span class="inputcodigo">
                                    <input name="trefe" type="text" id="trefe" size="15" tabindex="5" 
<?php
if (isset($_REQUEST['trefe'])) {
    echo 'value = "' . $_REQUEST['trefe'] . '"';
}
?>
                                           >
                                </span></label></td>
                    </tr>
                                    <?php if (isset($_POST['s1']) && $_POST['s1'] != "") { ?>
                        <tr>
                            <td nowrap>&nbsp;</td>
                            <td colspan="3" nowrap><?php
                                    echo $var;
                                        ?>	</td>

    <?php }
?>
                        <tr>
                            <td colspan="4" class="titulo">
                                <div align="center">
                                    <input type="hidden" value="info" name="Submit22" id="field_name" />
                                    <input type="button" name="Submit22" value="Procesar" onClick="valida(); " class="original" tabindex="6"/>
                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                    <input type="button" name="Submit2" value="Regresar" onClick="openpage('AL10700_PR.php', '_self')" class="bot_WsW"/>
                                </div></td>
                        </tr>
                </table>
            </div>
        </form>
    </body>
</html>